GEThttps://api.veriko.mx/v1/api/usage/export

Export API usage

Audience
public
Auth
API key
Permission
validations:read
How-to guide →

Downloads the authenticated user's API activity log.

The format is chosen with format (csv by default, or xlsx), and the range is bounded by from and to, both inclusive.

Parameters
ParameterInTypeRequiredDescription
formatquerystringoptional

Requested file format for the download. Accepted: csv (default) or xlsx.

Default: csv

e.g. csv
fromquerystring (date)optional

Start date (inclusive) of the range to export, in ISO 8601 format (YYYY-MM-DD).

e.g. 2026-05-01
limitqueryintegeroptional

Row cap for the download. It only serves to LOWER the default cap of 100,000: a larger value is ignored.

e.g. 500
toquerystring (date)optional

End date (inclusive) of the range to export, in ISO 8601 format (YYYY-MM-DD).

e.g. 2026-05-17
Request
curl -X GET 'https://api.veriko.mx/v1/api/usage/export' \
  -H 'Authorization: Bearer veriko_••••'

Python example — coming soon.

JavaScript example — coming soon.

PHP example — coming soon.

Response status codesGET /v1/api/usage/export
StatusClassDescriptionBody
2002xxCSV file (with UTF-8 BOM) or XLSX based on format.Body without schema
4014xxAuthentication is required or the provided credentials are invalid.ErrorResponse
Response headers200
HeaderTypeDescription
Content-Dispositionstring
Errors from GET /v1/api/usage/export
StatusCodeExample
401unauthorized

Invalid or missing authentication credentials.

Envelope
meta.request_id
c4d5e6f7a8b99b8a7f6e5d4c